Import value list items

Base URL
https://{kibana_url}
  • POST /api/lists/items/_import
Auth

Import value list items from a TXT or CSV file. The maximum file size is 9 million bytes.

You can import items to a new or existing list.

Query parameters

list_id string · format: nonempty · min length: 1

List's id.

Required when importing to an existing list.

Example: 21b01cfb-058d-44b9-838c-282be16c91cd
type enum

Type of the importing list.

Required when importing a new list whose list id is not specified.

Values: binary boolean byte date date_nanos date_range double double_range float float_range geo_point geo_shape
refresh enum

Determines when changes made by the request are made visible to search.

Values: true false wait_for

Request body

file string · format: binary

A .txt or .csv file containing newline separated list items.

Responses

Successful response

application/json
_version string

The version id, normally returned by the API when the document is retrieved. Use it ensure updates are done against the latest version.

@timestamp string · format: date-time
created_at string · format: date-time required

Autogenerated date of object creation.

created_by string required

Autogenerated value - user that created object.

description string · format: nonempty · min length: 1 required

Describes the value list.

id string · format: nonempty · min length: 1 required

Value list's identifier.

immutable boolean required
meta object

Placeholder for metadata about the value list.

name string · format: nonempty · min length: 1 required

Value list's name.

tie_breaker_id string required

Field used in search to ensure all containers are sorted and returned correctly.

type enum required

Specifies the Elasticsearch data type of excludes the list container holds. Some common examples:

  • keyword: Many ECS fields are Elasticsearch keywords
  • ip: IP addresses
  • ip_range: Range of IP addresses (supports IPv4, IPv6, and CIDR notation)
Values: binary boolean byte date date_nanos date_range double double_range float float_range geo_point geo_shape
updated_at string · format: date-time required

Autogenerated date of last object update.

updated_by string required

Autogenerated value - user that last updated object.

version integer · min: 1 required

The document version number.

Invalid input data response

application/json
One of:
error string required
message string required
statusCode integer required

Unsuccessful authentication response

application/json
error string required
message string required
statusCode integer required

Not enough privileges response

application/json
error string required
message string required
statusCode integer required

List with specified list_id does not exist response

application/json
message string required
status_code integer required

Internal server error response

application/json
message string required
status_code integer required
Base URL
https://{kibana_url}